# Glom::GroupInfo Class Reference

Inherits Glom::TranslatableItem.

Collaboration diagram for Glom::GroupInfo:
[legend]

List of all members.

## Public Types

typedef std::map < Glib::ustring, Privileges > | type_map_table_privileges

## Public Member Functions

| GroupInfo ()
| GroupInfo (const GroupInfo& src)
virtual | ~GroupInfo ()
GroupInfo& | operator= (const GroupInfo& src)
bool | operator== (const GroupInfo& src) const
bool | operator!= (const GroupInfo& src) const

## Public Attributes

bool | m_developer
type_map_table_privileges | m_map_privileges

## Member Typedef Documentation

typedef std::map<Glib::ustring, Privileges> Glom::GroupInfo::type_map_table_privileges

## Constructor & Destructor Documentation

Glom::GroupInfo::GroupInfo | ( |  | ) |

Glom::GroupInfo::GroupInfo | ( | const GroupInfo& | src | ) |

virtual Glom::GroupInfo::~GroupInfo | ( |  | ) | `[virtual]`

## Member Function Documentation

bool Glom::GroupInfo::operator!= | ( | const GroupInfo& | src | ) | const

GroupInfo& Glom::GroupInfo::operator= | ( | const GroupInfo& | src | ) |

bool Glom::GroupInfo::operator== | ( | const GroupInfo& | src | ) | const

## Member Data Documentation

bool Glom::GroupInfo::m_developer

type_map_table_privileges Glom::GroupInfo::m_map_privileges

The documentation for this class was generated from the following file:

- libglom/data_structure/groupinfo.h